%define	name	wv
%define	version	0.5.26
%define	release	1
%define	serial	1

Summary:	MSWord Document to HTML converter
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Copyright:	GPL
Group:		Applications/Text
URL:		http://www.csn.ul.ie/~caolan/docs/MSWordView.html
Vendor:		Caolan McNamara <Caolan.McNamara@ul.ie>
Source:		%{name}-%{version}.tar.gz
Obsoletes:	mswordview
BuildRoot:	/var/tmp/%{name}-%{version}

Distribution:	Freshmeat RPMs
Packager:	Ryan Weaver <ryanw@infohwy.com>

%description
MSWordView is a program that understands the Microsoft Word 8
binary file format (Office97) and is able to convert Word
documents into HTML, which can then be read with a browser.

wv is a suite of programs to help convert Word Documents to HTML.

%prep
%setup -q -n %{name}
# Checking for CVS specific files and removing them.
if [ -d ./CVS ]; then
	for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
		if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
	done
fi

%configure --prefix=/usr

%build
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT ; fi
mkdir -p $RPM_BUILD_ROOT/usr/include

make prefix=$RPM_BUILD_ROOT/usr install

( cd $RPM_BUILD_ROOT/usr/bin; ln -sf wvConvert wvText; ) 

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT ; fi

%files
%defattr(-,root,root)
%doc examples feature-examples gateway helper-scripts notes todo
%doc ABIWORD-SUGGESTIONS CHANGELOG COPYING CREDITS INSTALL README
%doc README.NEW TESTING TODO.TXT mswordview.lsm
/usr/bin/mswordview
/usr/bin/wv-incconfig
/usr/bin/wv-libconfig
/usr/bin/wvConvert
/usr/bin/wvHtml
/usr/bin/wvSimpleCLX
/usr/bin/wvSummary
/usr/bin/wvText
/usr/include/wv.h
/usr/lib/libwv.a
/usr/lib/wv
/usr/man/man1/mswordview.1
/usr/man/man1/wvHtml.1

%changelog
* Wed Sep  1 1999 Ryan Weaver <ryanw@infohwy.com>
- Moved to building devel release. Application name change from
  mswordview to wv.
- To see Changes to mswordview before the release of wv-0.5.26
  please see CHANGELOG.

  [wv-0.5.26-1]
- some checking showed that I had the wrong name for the koi encoding,
  koi8-r is the correct name, and ive changed it to that.
- wvHtml dumps graphics, and wvGraphicConvert is a standlone little app
  for hacking purposes to open up graphics to external hackers.

